Bug 560121 - display stays blank after closing the lid when using 2.6.32 based kernels
display stays blank after closing the lid when using 2.6.32 based kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 17:21 EST by Thorsten Leemhuis
Modified: 2010-12-03 18:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:36:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2010-01-29 17:21:04 EST
Description of problem:
The screen stays blank when I close the lid of my Dell Inspiron D630 laptop and open it a few seconds later. When I hit CTRL + ALT + F2 afterwards it switches on and displays the text login (as expected); when I hit CTRL + ALT + F1 now I get back to X and see the password dialog from gnome-screensaver I would have expected to see after opening the lid.

All of the above only happens with the 2.6.32 based F12 kernels from koji -- for example kernel-2.6.32.7-37.fc12.x86_64. It works just fine with those that are based on 2.6.31 -- like kernel-2.6.31.9-174.fc12.x86_64 

Additional info:

* KMS is active; 
xorg-x11-server-Xorg-1.7.4-3.fc12.x86_64
xorg-x11-drv-intel-2.9.1-1.fc12.x86_64

* Intel GM965:
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

* The acpi subsystem according to the content of the file /proc/acpi/button/lid/LID/state seems to properly detect when the lid was opened

I'm willing to debug this further if somebody gives me an idea in which direction to look next.
Comment 1 Thorsten Leemhuis 2010-01-29 17:48:26 EST
Just one more data point: Found a similar report at http://bugzilla.kernel.org/show_bug.cgi?id=14997
Comment 2 Milos Jakubicek 2010-02-11 15:53:55 EST
I have a similar problem, also introduced by 2.6.32, unfortunately in my case after reopening the lid I see sometimes a few windows shortly flashing and then only the mouse cursor, nothing else -- I always have to restart X, which is really annoying. Even worse: I don't see anything related in /var/log/messages or /var/log/Xorg.0.log.

Switching between VT's doesn't help me, but I found out that my X server is running on VT 8 -- how could that come? (Note: I have a clean F12 installation with latest updates-testing).

Any ideas how to track this down (besides bisecting kernel code as proposed in the upstream bug)?
Comment 3 Milos Jakubicek 2010-02-11 15:59:02 EST
Uhm, forgot to mention: I've an Intel 4500 card, my smolt profile is there:

http://www.smolts.org/client/show/pub_2079d6ed-4c12-4609-9d46-443e490a1010
Comment 4 Danny Brodzik 2010-03-09 01:37:43 EST
I have an Inspiron 1525 (the one that came with Ubuntu) and have the same issue on Fedora 12, all updates installed (I don't use updates-testing).
Comment 5 Danny Brodzik 2010-03-09 01:39:45 EST
Oh, forgot to mention that if I boot with "nomodeset" on the kernel command line, the backlight turns back on normally when I open the lid. The problem only occurs with kernel video mode setting enabled.
Comment 6 Bug Zapper 2010-11-03 19:34:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 18:36:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.